#pragma once
#ifndef MIXCHUNK_H_
#define MIXCHUNK_H_

#include "baseobject.h"
#include "commoninclude.h"

namespace EPOC
	{
	
	class AudioManager;
	class MixChunk : public BaseObject
	{
	public:

	//con-/destructors
		MixChunk();
		MixChunk(AudioManager *pAudioManager);
		virtual ~MixChunk();

		virtual void Cleanup();
		virtual bool Initialize(std::string sFilePath, Mix_Chunk *pSDLMixChunk);

	// public helper methods
		//inline void SetSDLMixChunk(Mix_Chunk *pSDLMixChunk)	{ m_pSDLMixChunk = pSDLMixChunk;}
		inline Mix_Chunk* GetSDLMixChunk()				{ return m_pSDLMixChunk;}

		//inline void SetFilePath(std::string sFilePath)		{ m_sFilePath = sFilePath;}
		inline std::string GetFilePath()						{ return m_sFilePath;}
			
	// protected members
	protected:
		std::string m_sFilePath;
		Mix_Chunk *m_pSDLMixChunk;
		AudioManager *m_pAudioManager;
	
	};// class MixChunk
}; // namespace EPOC

#endif